package com.tcl.ah.module.serverinfo;

import static org.junit.Assert.*;

import com.tcl.ah.module.config.ProjectIni;
import com.tcl.ah.module.serverinfo.data.ServerInfoIni;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

public class ServerInfoHandlerTest {
    private String mac ="D814DF9DC559";
    private String packagename ="com.tcl.ah.dataplatform";
    private String url ="http://192.168.5.205:9561";//ProjectIni.URL
    @Before
    public void setUp() throws Exception {

    }

    @After
    public void tearDown() throws Exception {
    }

    @Test
    public void get() {
        ServerInfoHandler handler = new ServerInfoHandler();
        handler.setMac(mac)
                .setPackageName(packagename)
                .setUrl(url);
        boolean ret =handler.get();
        System.out.println(handler.getJsonValue());
    }
}